SHARE
TWEET

Untitled

a guest Aug 19th, 2019 14 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. # >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<
  2.  
  3.     Traceback (most recent call last):
  4.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connection.py", line 159, in _new_conn
  5.         (self._dns_host, self.port), self.timeout, **extra_kw)
  6.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/util/connection.py", line 57, in create_connection
  7.         for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  8.       File "/home/rushi/anaconda3/lib/python3.7/socket.py", line 748, in getaddrinfo
  9.         for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
  10.     socket.gaierror: [Errno -2] Name or service not known
  11.    
  12.     During handling of the above exception, another exception occurred:
  13.    
  14.     Traceback (most recent call last):
  15.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 594, in urlopen
  16.         self._prepare_proxy(conn)
  17.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 805, in _prepare_proxy
  18.         conn.connect()
  19.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connection.py", line 301, in connect
  20.         conn = self._new_conn()
  21.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connection.py", line 168, in _new_conn
  22.         self, "Failed to establish a new connection: %s" % e)
  23.     urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f2ebfefb8d0>: Failed to establish a new connection: [Errno -2] Name or service not known
  24.    
  25.     During handling of the above exception, another exception occurred:
  26.    
  27.     Traceback (most recent call last):
  28.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
  29.         timeout=timeout
  30.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 667, in urlopen
  31.         **response_kw)
  32.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 667, in urlopen
  33.         **response_kw)
  34.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 667, in urlopen
  35.         **response_kw)
  36.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
  37.         _stacktrace=sys.exc_info()[2])
  38.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/urllib3/util/retry.py", line 399, in increment
  39.         raise MaxRetryError(_pool, url, error or ResponseError(cause))
  40.     urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='repo.anaconda.com', port=443): Max retries exceeded with url: /pkgs/main/linux-64/current_repodata.json (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f2ebfefb8d0>: Failed to establish a new connection: [Errno -2] Name or service not known')))
  41.    
  42.     During handling of the above exception, another exception occurred:
  43.    
  44.     Traceback (most recent call last):
  45.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 471, in fetch_repodata_remote_request
  46.         timeout=timeout)
  47.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
  48.         return self.request('GET', url, **kwargs)
  49.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
  50.         resp = self.send(prep, **send_kwargs)
  51.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
  52.         r = adapter.send(request, **kwargs)
  53.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/requests/adapters.py", line 510, in send
  54.         raise ProxyError(e, request=request)
  55.     requests.exceptions.ProxyError: HTTPSConnectionPool(host='repo.anaconda.com', port=443): Max retries exceeded with url: /pkgs/main/linux-64/current_repodata.json (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f2ebfefb8d0>: Failed to establish a new connection: [Errno -2] Name or service not known')))
  56.    
  57.     During handling of the above exception, another exception occurred:
  58.    
  59.     Traceback (most recent call last):
  60.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1062, in __call__
  61.         return func(*args, **kwargs)
  62.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/cli/main.py", line 84, in _main
  63.         exit_code = do_call(args, p)
  64.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
  65.         exit_code = getattr(module, func_name)(args, parser)
  66.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/cli/main_update.py", line 20, in execute
  67.         install(args, parser, 'update')
  68.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/cli/install.py", line 256, in install
  69.         force_reinstall=context.force_reinstall or context.force,
  70.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/solve.py", line 112, in solve_for_transaction
  71.         force_remove, force_reinstall)
  72.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/solve.py", line 150, in solve_for_diff
  73.         force_remove)
  74.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/solve.py", line 249, in solve_final_state
  75.         ssc = self._collect_all_metadata(ssc)
  76.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/common/io.py", line 88, in decorated
  77.         return f(*args, **kwds)
  78.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/solve.py", line 389, in _collect_all_metadata
  79.         index, r = self._prepare(prepared_specs)
  80.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/solve.py", line 974, in _prepare
  81.         self.subdirs, prepared_specs, self._repodata_fn)
  82.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/index.py", line 214, in get_reduced_index
  83.         repodata_fn=repodata_fn)
  84.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 91, in query_all
  85.         result = tuple(concat(executor.map(subdir_query, channel_urls)))
  86.       File "/home/rushi/anaconda3/lib/python3.7/concurrent/futures/_base.py", line 586, in result_iterator
  87.         yield fs.pop().result()
  88.       File "/home/rushi/anaconda3/lib/python3.7/concurrent/futures/_base.py", line 432, in result
  89.         return self.__get_result()
  90.       File "/home/rushi/anaconda3/lib/python3.7/concurrent/futures/_base.py", line 384, in __get_result
  91.         raise self._exception
  92.       File "/home/rushi/anaconda3/lib/python3.7/concurrent/futures/thread.py", line 57, in run
  93.         result = self.fn(*self.args, **self.kwargs)
  94.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 87, in <lambda>
  95.         package_ref_or_match_spec))
  96.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 96, in query
  97.         self.load()
  98.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 160, in load
  99.         _internal_state = self._load()
  100.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 234, in _load
  101.         repodata_fn=self.repodata_fn)
  102.       File "/home/rushi/anaconda3/lib/python3.7/site-packages/conda/core/subdir_data.py", line 477, in fetch_repodata_remote_request
  103.         raise ProxyError()   # see #3962
  104.     TypeError: __init__() missing 1 required positional argument: 'message'
  105.  
  106. `$ /home/rushi/anaconda3/bin/conda update conda`
  107.  
  108.   environment variables:
  109.                  CIO_TEST=<not set>
  110.         CONDA_DEFAULT_ENV=base
  111.                 CONDA_EXE=/home/rushi/anaconda3/bin/conda
  112.              CONDA_PREFIX=/home/rushi/anaconda3
  113.     CONDA_PROMPT_MODIFIER=(base)
  114.          CONDA_PYTHON_EXE=/home/rushi/anaconda3/bin/python
  115.                CONDA_ROOT=/home/rushi/anaconda3
  116.               CONDA_SHLVL=1
  117.             DEFAULTS_PATH=/usr/share/gconf/cinnamon.default.path
  118.            MANDATORY_PATH=/usr/share/gconf/cinnamon.mandatory.path
  119.                      PATH=/home/rushi/anaconda3/bin:/home/rushi/anaconda3/bin:/home/rushi/anacon
  120.                           da3/condabin:/home/rushi/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:
  121.                           /usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/local/simplecpp:/
  122.                           snap/bin
  123.        REQUESTS_CA_BUNDLE=<not set>
  124.             SSL_CERT_FILE=<not set>
  125.             XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
  126.          XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
  127.  
  128.      active environment : base
  129.     active env location : /home/rushi/anaconda3
  130.             shell level : 1
  131.        user config file : /home/rushi/.condarc
  132.  populated config files : /home/rushi/.condarc
  133.           conda version : 4.7.10
  134.     conda-build version : 3.18.8
  135.          python version : 3.7.3.final.0
  136.        virtual packages :
  137.        base environment : /home/rushi/anaconda3  (writable)
  138.            channel URLs : https://repo.anaconda.com/pkgs/main/linux-64
  139.                           https://repo.anaconda.com/pkgs/main/noarch
  140.                           https://repo.anaconda.com/pkgs/r/linux-64
  141.                           https://repo.anaconda.com/pkgs/r/noarch
  142.           package cache : /home/rushi/anaconda3/pkgs
  143.                           /home/rushi/.conda/pkgs
  144.        envs directories : /home/rushi/anaconda3/envs
  145.                           /home/rushi/.conda/envs
  146.                platform : linux-64
  147.              user-agent : conda/4.7.10 requests/2.22.0 CPython/3.7.3 Linux/4.15.0-58-generic linuxmint/19.2 glibc/2.27
  148.                 UID:GID : 1000:1000
  149.              netrc file : None
  150.            offline mode : False
  151.  
  152.  
  153. An unexpected error has occurred. Conda has prepared the above report.
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top